> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r.md).

# redivis-r

The Redivis client library for R allows you to connect data on Redivis with the R scientific stack. Core functionality allows for reading data and metadata, executing queries, and uploading new data.

This library can be used from within [R notebooks on Redivis](https://docs.redivis.com/reference/projects/notebook-nodes/r-notebooks), but can also be run on any other computer with R installed.

{% content-ref url="/pages/-MbEPSKZ\_1B41g4hRcS9" %}
[Getting started](/api/client-libraries/redivis-r/getting-started.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MbEPiqpS6e-u8akx0vL" %}
[Examples](/api/client-libraries/redivis-r/examples.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MbEPjMatWDWThjAxSWK" %}
[Reference](/api/client-libraries/redivis-r/reference.md)
{% endcontent-ref %}

## Issues and feature requests

Please report any issues or feature requests in the [issue tracker](https://github.com/redivis/redivis-r/issues).

## Using these docs

If you're installing this library for the first time, consult the [Getting started section](/api/client-libraries/redivis-r/getting-started.md).

Redivis resources are represented by a series of classes, with the methods and properties on each class documented in the [Reference section](/api/client-libraries/redivis-r/reference.md).

Many methods contain examples of their use, and you can view more comprehensive examples of common use cases in the [Examples section](/api/client-libraries/redivis-r/examples.md)[.](/api/client-libraries/redivis-r/examples.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
